SITO1 -- SITO2 -- Forum1 -- CercaGlobale -- Informativa su Cookie e Privacy


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
Aggiornamento dei Kernel
#11
Io proverei senza Gag per adesso.
Se hai un solo hard disk con i tre sistemi in tre partizioni distinte prova a fare cosi.
da Ubuntu Mate apri il terminale e dai

Codice:
sudo grub-install /dev/sda
una volta finito dai un
Codice:
sudo update-grub
poi riavvia il sistema e vedi se è tornato il grub.

PS. il terzo sistema non è menzionato ( è Windows o un altra distro Linux)
            La vita è come uno specchio:ti sorride se la guardi sorridendo.
                                                    Un giorno senza rischio è non vissuto.....                  
PCLinuxOS Mate - Manjaro Mate/Xfce
Cita messaggio
Grazie da:
#12
io parlo di distribuzioni che usano grub2.
avvia la prima, apri il terminale e scrivi:
Codice:
sudo dpkg-reconfigure grub-pc
invio, pswd, invio. si aprirà una finestrella dai invio e poi ancora invio. ora avrai una finestrella di scelta per dove mettere il grub di quella distribuzione. la barra spaziatrice toglie e mette l'asterisco. metti l'asterisco sulla partizione / del tuo sistema. continua e terminato, dai un >>> sudo update-grub
chiudi e riavvia un altro sistema. stesso lavoro. in parole semplici, installiamo il grub nella partizione / di ogni distribuzione. quando hai terminato, chiudi tutto ed avvia con GAG riconfigurando il tutto, max 20/30 secondi. riavvia e.... buona scelta dal tuo GAG.
Cita messaggio
Grazie da:
#13
Non vorrei disinstallare gag ma cambiare il kernel degli o.s. bloccati installando un kernel precedente a quello che ha bloccato gli o.s. dal sistema ancora funzionante, l'unico che non ho aggiornato e che ancora si avvia.
Dovrebbe esserci un comando da terminale con il quale si può disinstallare il kernel di un'altro o.s. indicando la partizione nella quale si trova e poi installarne una precedente.
Questo perché non si avvia nessun o.s. aggiornato.
Cita messaggio
Grazie da:
#14
io non credo che la distribuzione non si avvii per colpa del kernel, avvia con supergrubdisk, dovresti avviare tutte le tue distribuzioni. se è cosi come penso, quanto ho scritto sopra risolverà. altre strade non ne conosco ( io ).
Cita messaggio
Grazie da:
#15
Quando cerchi di avviare uno dei SO non funzionanti GAG non ti riporta nessun tipo di errore?
Come aggiorni il menu di GAG, e/o da quale SO lo aggiorni. hai controllato che nel menu di gag siano presenti le voci relative ai nuovi kernel? (potrebbero esserci nel menu le voci dei vecchi kernel e dato che tu hai detto che li elimini magari non trovando la corrispondenza, non avvia nulla.)
Linux User # 207701 - Non ho particolari talenti. Sono soltanto appassionatamente curioso - Albert Einstein
Cita messaggio
Grazie da:
#16
   
Questo è il messaggio che appare avviando l'o.s. , che non si avvia con gag, dal grub della distribuzione funzionante - non avviandolo da gag - ma bensì, avviando l'o.s. funzionante e poi, dalla schermata di grub, tentando di avviare l'o.s. che non si avvia da gag direttamente.
Cita messaggio
Grazie da:
#17
dalla distribuzione funzionante, nel terminale:
sudo update-grub
terminato riavvia e riprova.
Cita messaggio
Grazie da:
#18
IMHO GAG non viene più aggiornato da 4 anni mi pare di capire e nel campo informatico è un'era paleolitica Tongue non sappiamo se dipenda proprio da GAG il problema At
Antonio... sarai sempre nei nostri cuori Heart
Cita messaggio
Grazie da:
#19
no, non dipenda da gag. io avvio con lui ubuntu 18.04 ovviamente con il grub installato nella / .
Cita messaggio
Grazie da:
#20
Direi che il messaggio di errore è molto esplicito. Non trova il kernel (presumo faccia riferimento a quello percedente che è stato cancellato).
Proverei come consigliato ad usare grub per aggiornare l'elenco distro/kernel, e successivamente aggiornare gag se preferisci usare quello.
Linux User # 207701 - Non ho particolari talenti. Sono soltanto appassionatamente curioso - Albert Einstein
Cita messaggio
Grazie da:


Vai al forum:


Utenti che stanno guardando questa discussione: